Bug 381822 - Akregator corrupts the opml file and crashes, always.
Summary: Akregator corrupts the opml file and crashes, always.
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: Archlinux Linux
: NOR crash with 30 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-06-30 11:30 UTC by korgens
Modified: 2017-09-10 19:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description korgens 2017-06-30 11:30:54 UTC
Application: akregator (5.5.2)

Qt Version: 5.9.0
Frameworks Version: 5.35.0
Operating System: Linux 4.11.7-1-ARCH x86_64
Distribution: "Arch Linux"

-- Information about the crash:
- What I was doing when the application crashed:
Just closing Akragator

- Unusual behavior I noticed:
Sometime in the last month I noticed that Akregator started to crash on initialization. Then I noticed that it had corrupted to a small size my RSS feed file. I located an older backup copy and I placed it at the correct location.

However, Akregator always corrupts that file. Sometimes the file just gets chorter and shorter. Sometimes it's unusable.

I've even tried to change the file's permissions to prevent Akregator from tempering with it, but it seems that Akregator needs to read and write the RSS feeds file all the time.

The crash can be reproduced every time.

-- Backtrace:
Application: Akregator (akregator), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbaa6b52900 (LWP 988))]

Thread 26 (Thread 0x7fb9649ee700 (LWP 1914)):
#0  0x00007fbaa2a77349 in syscall () at /usr/lib/libc.so.6
#1  0x00007fba9ac82c7a in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007fba9ac12121 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007fba9ac126dc in g_async_queue_timeout_pop () at /usr/lib/libglib-2.0.so.0
#4  0x00007fba9ac6556e in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fba9ac64ac5 in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7fba01567700 (LWP 1300)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba8f331ac4 in  () at /usr/lib/libQt5Script.so.5
#2  0x00007fba8f331b09 in  () at /usr/lib/libQt5Script.so.5
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7fba02634700 (LWP 1238)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba921121c5 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba921126a7 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba92113441 in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 23 (Thread 0x7fba177fe700 (LWP 1169)):
#0  0x00007fbaa2a6dfbd in read () at /usr/lib/libc.so.6
#1  0x00007fba9ac816f0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fba9ac3d6db in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007fba9ac3dba0 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fba9ac3dd0c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007fbaa339ae9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007fbaa334121a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007fbaa316340a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007fbaa3167cbd in  () at /usr/lib/libQt5Core.so.5
#9  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 22 (Thread 0x7fba1bfff700 (LWP 1084)):
#0  0x00007fbaa2a7224d in poll () at /usr/lib/libc.so.6
#1  0x00007fba896f6ee1 in  () at /usr/lib/libpulse.so.0
#2  0x00007fba896e86f1 in pa_mainloop_poll () at /usr/lib/libpulse.so.0
#3  0x00007fba896e8d8e in pa_mainloop_iterate () at /usr/lib/libpulse.so.0
#4  0x00007fba896e8e40 in pa_mainloop_run () at /usr/lib/libpulse.so.0
#5  0x00007fba896f6e29 in  () at /usr/lib/libpulse.so.0
#6  0x00007fba814b6fe8 in  () at /usr/lib/pulseaudio/libpulsecommon-10.0.so
#7  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 21 (Thread 0x7fba38ff9700 (LWP 1083)):
#0  0x00007fba9ce9b6cc in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92140ab2 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107bde in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e2a3b in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba92113a06 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7fba397fa700 (LWP 1082)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba929a2800 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92113441 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7fba39ffb700 (LWP 1081)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92107c59 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107c87 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e29eb in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba92113a06 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7fba3a7fc700 (LWP 1080)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba921121c5 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba921126a7 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba92113441 in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7fba3affd700 (LWP 1079)):
#0  0x00007fbaa29d8424 in vfprintf () at /usr/lib/libc.so.6
#1  0x00007fbaa2a8a989 in __vsnprintf_chk () at /usr/lib/libc.so.6
#2  0x00007fba86cdcb93 in evutil_vsnprintf () at /usr/lib/libevent-2.1.so.6
#3  0x00007fba86cdcc2f in evutil_snprintf () at /usr/lib/libevent-2.1.so.6
#4  0x00007fba86ce012c in event_logv_ () at /usr/lib/libevent-2.1.so.6
#5  0x00007fba86ce0314 in event_warn () at /usr/lib/libevent-2.1.so.6
#6  0x00007fba86ce1c3c in  () at /usr/lib/libevent-2.1.so.6
#7  0x00007fba86cd78f4 in event_base_loop () at /usr/lib/libevent-2.1.so.6
#8  0x00007fba920e3123 in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#11 0x00007fba91999108 in  () at /usr/lib/libQt5WebEngineCore.so.5
#12 0x00007fba919996bb in  () at /usr/lib/libQt5WebEngineCore.so.5
#13 0x00007fba92113ab8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#14 0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#15 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7fba3b7fe700 (LWP 1078)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92107c59 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107c87 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e29eb in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba91999058 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba919996ab in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba92113ab8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7fba3bfff700 (LWP 1077)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92107c59 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107c87 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e29eb in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba91998fa8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba9199969b in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba92113ab8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7fba5cff9700 (LWP 1076)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92107c59 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107c87 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e29eb in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba91998ef8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba9199968b in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba92113ab8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7fba5d7fa700 (LWP 1075)):
#0  0x00007fbaa2a89009 in __lll_unlock_wake_private () at /usr/lib/libc.so.6
#1  0x00007fbaa2a8ad2c in __fprintf_chk () at /usr/lib/libc.so.6
#2  0x00007fba86ce017d in event_logv_ () at /usr/lib/libevent-2.1.so.6
#3  0x00007fba86ce0314 in event_warn () at /usr/lib/libevent-2.1.so.6
#4  0x00007fba86ce1c3c in  () at /usr/lib/libevent-2.1.so.6
#5  0x00007fba86cd78f4 in event_base_loop () at /usr/lib/libevent-2.1.so.6
#6  0x00007fba920e303d in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba91998e48 in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba9199967b in  () at /usr/lib/libQt5WebEngineCore.so.5
#11 0x00007fba92113ab8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#12 0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#13 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#14 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7fba5dffb700 (LWP 1074)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92107c59 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107c87 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e29eb in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba91998d98 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba9199966b in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba92113ab8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7fba5f7fe700 (LWP 1071)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba92107c59 in  () at /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007fba92107c87 in  () at /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007fba920e29eb in  () at /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007fba92113a06 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7fba5ffff700 (LWP 1069)):
#0  0x00007fbaa2a8a8e2 in __vsnprintf_chk () at /usr/lib/libc.so.6
#1  0x00007fba86cdcb93 in evutil_vsnprintf () at /usr/lib/libevent-2.1.so.6
#2  0x00007fba86ce0095 in event_logv_ () at /usr/lib/libevent-2.1.so.6
#3  0x00007fba86ce0314 in event_warn () at /usr/lib/libevent-2.1.so.6
#4  0x00007fba86ce1c3c in  () at /usr/lib/libevent-2.1.so.6
#5  0x00007fba86cd78f4 in event_base_loop () at /usr/lib/libevent-2.1.so.6
#6  0x00007fba920e2fe9 in  () at /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007fba920df2b8 in  () at /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007fba920fbe9b in  () at /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007fba92113a06 in  () at /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007fba9210fb0b in  () at /usr/lib/libQt5WebEngineCore.so.5
#11 0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7fba67531700 (LWP 1013)):
#0  0x00007fbaa2a7224d in poll () at /usr/lib/libc.so.6
#1  0x00007fba9ac3dbf9 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fba9ac3dd0c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fbaa339ae9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fbaa334121a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007fbaa316340a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fbaa4d3bd45 in  () at /usr/lib/libQt5DBus.so.5
#7  0x00007fbaa3167cbd in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fba681d8700 (LWP 1011)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba6f5092fb in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007fba6f509037 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fba689d9700 (LWP 1010)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba6f5092fb in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007fba6f509037 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fba691da700 (LWP 1009)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba6f5092fb in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007fba6f509037 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fba699db700 (LWP 1008)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba6f5092fb in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007fba6f509037 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fba6a3e1700 (LWP 1007)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba6f5092fb in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007fba6f509037 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fba6b561700 (LWP 1006)):
#0  0x00007fba9ce9b39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba6f5092fb in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007fba6f509037 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fba76f0e700 (LWP 996)):
#0  0x00007fbaa2a7224d in poll () at /usr/lib/libc.so.6
#1  0x00007fba9a9d68e0 in  () at /usr/lib/libxcb.so.1
#2  0x00007fba9a9d8679 in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007fba7901ed49 in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007fbaa3167cbd in  () at /usr/lib/libQt5Core.so.5
#5  0x00007fba9ce95297 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fbaa2a7c1ef in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fbaa6b52900 (LWP 988)):
[KCrash Handler]
#5  0x00007fbaa334b627 in QMetaObject::cast(QObject const*) const () at /usr/lib/libQt5Core.so.5
#6  0x00007fbaa6426e9c in Akregator::FrameManager::saveProperties(KConfigGroup&) () at /usr/lib/libakregatorprivate.so.5
#7  0x00007fba6604d1a3 in Akregator::MainWidget::saveProperties(KConfigGroup&) () at /usr/lib/qt/plugins/akregatorpart.so
#8  0x00007fba66045c1b in  () at /usr/lib/qt/plugins/akregatorpart.so
#9  0x00007fba66045cc9 in  () at /usr/lib/qt/plugins/akregatorpart.so
#10 0x00007fba660463d0 in  () at /usr/lib/qt/plugins/akregatorpart.so
#11 0x00007fba660465a9 in  () at /usr/lib/qt/plugins/akregatorpart.so
#12 0x00007fbaa337157f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#13 0x00007fbaa33edf57 in QCoreApplication::aboutToQuit(QCoreApplication::QPrivateSignal) () at /usr/lib/libQt5Core.so.5
#14 0x00007fbaa33455eb in QCoreApplicationPrivate::execCleanup() () at /usr/lib/libQt5Core.so.5
#15 0x00007fbaa3349a8d in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#16 0x00000000004084a9 in  ()
#17 0x00007fbaa29af43a in __libc_start_main () at /usr/lib/libc.so.6
#18 0x000000000040860a in _start ()

Reported using DrKonqi
Comment 1 Thomas H 2017-08-24 01:27:17 UTC
There are a few recent duplicates of this same bug:
https://bugs.kde.org/show_bug.cgi?id=383719
https://bugs.kde.org/show_bug.cgi?id=381929
https://bugs.kde.org/show_bug.cgi?id=378513

As one user mentioned, the frustrating part is that it attempts to save a backup to ~/.local/share/akregator/data//feeds.opml, but even that file is corrupted. All feeds are lost and replaced with the default feeds. I'm on KDE Neon user edition.
Comment 2 Anthony Fieroni 2017-09-10 19:00:15 UTC
Git commit d0a5f4159cddcca656ca8bbcbd6e551e3499c166 by Anthony Fieroni.
Committed on 10/09/2017 at 18:59.
Pushed by anthonyfieroni into branch 'Applications/17.08'.

[akregator] Make sure part is created before main windows is restored

DIfferential Revision: https://phabricator.kde.org/D6739
Related: bug 378513, bug 381825, bug 377129

Signed-off-by: Anthony Fieroni <bvbfan@abv.bg>

M  +5    -8    src/main.cpp

https://commits.kde.org/akregator/d0a5f4159cddcca656ca8bbcbd6e551e3499c166